- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# QTextStream Class Reference

Search for all occurrences

## Detailed Description

Examples:

  PLYImport/Importer.cpp.

Definition at line 73 of file qtextstream.h.

`#include <qtextstream.h>`

List of all members.

## Public Types
enum | RealNumberNotation { SmartNotation, FixedNotation, ScientificNotation }
enum | FieldAlignment { AlignLeft, AlignRight, AlignCenter, AlignAccountingStyle }
enum | Status { Ok, ReadPastEnd, ReadCorruptData }
enum | NumberFlag { ShowBase = 0x1, ForcePoint = 0x2, ForceSign = 0x4, UppercaseBase = 0x8, UppercaseDigits = 0x10 }
## Public Member Functions
| QTextStream ()
| QTextStream (QIODevice *device)
| QTextStream (FILE *fileHandle, QIODevice::OpenMode openMode=QIODevice::ReadWrite)
| QTextStream (QString *string, QIODevice::OpenMode openMode=QIODevice::ReadWrite)
| QTextStream (QByteArray *array, QIODevice::OpenMode openMode=QIODevice::ReadWrite)
| QTextStream (const QByteArray &array, QIODevice::OpenMode openMode=QIODevice::ReadOnly)
virtual | ~QTextStream ()
void | setCodec (QTextCodec *codec)
void | setCodec (const char *codecName)
QTextCodec * | codec () const
void | setAutoDetectUnicode (bool enabled)
bool | autoDetectUnicode () const
void | setGenerateByteOrderMark (bool generate)
bool | generateByteOrderMark () const
void | setLocale (const QLocale &locale)
QLocale | locale () const
void | setDevice (QIODevice *device)
QIODevice * | device () const
void | setString (QString *string, QIODevice::OpenMode openMode=QIODevice::ReadWrite)
QString * | string () const
Status | status () const
void | setStatus (Status status)
void | resetStatus ()
bool | atEnd () const
void | reset ()
void | flush ()
bool | seek (qint64 pos)
qint64 | pos () const
void | skipWhiteSpace ()
QString | readLine (qint64 maxlen=0)
QString | readAll ()
QString | read (qint64 maxlen)
void | setFieldAlignment (FieldAlignment alignment)
FieldAlignment | fieldAlignment () const
void | setPadChar (QChar ch)
QChar | padChar () const
void | setFieldWidth (int width)
int | fieldWidth () const
void | setNumberFlags (NumberFlags flags)
NumberFlags | numberFlags () const
void | setIntegerBase (int base)
int | integerBase () const
void | setRealNumberNotation (RealNumberNotation notation)
RealNumberNotation | realNumberNotation () const
void | setRealNumberPrecision (int precision)
int | realNumberPrecision () const
QTextStream & | operator>> (QChar &ch)
QTextStream & | operator>> (char &ch)
QTextStream & | operator>> (signed short &i)
QTextStream & | operator>> (unsigned short &i)
QTextStream & | operator>> (signed int &i)
QTextStream & | operator>> (unsigned int &i)
QTextStream & | operator>> (signed long &i)
QTextStream & | operator>> (unsigned long &i)
QTextStream & | operator>> (qlonglong &i)
QTextStream & | operator>> (qulonglong &i)
QTextStream & | operator>> (float &f)
QTextStream & | operator>> (double &f)
QTextStream & | operator>> (QString &s)
QTextStream & | operator>> (QByteArray &array)
QTextStream & | operator>> (char *c)
QTextStream & | operator<< (QBool b)
QTextStream & | operator<< (QChar ch)
QTextStream & | operator<< (char ch)
QTextStream & | operator<< (signed short i)
QTextStream & | operator<< (unsigned short i)
QTextStream & | operator<< (signed int i)
QTextStream & | operator<< (unsigned int i)
QTextStream & | operator<< (signed long i)
QTextStream & | operator<< (unsigned long i)
QTextStream & | operator<< (qlonglong i)
QTextStream & | operator<< (qulonglong i)
QTextStream & | operator<< (float f)
QTextStream & | operator<< (double f)
QTextStream & | operator<< (const QString &s)
QTextStream & | operator<< (const QByteArray &array)
QTextStream & | operator<< (const char *c)
QTextStream & | operator<< (const void *ptr)

## Member Enumeration Documentation

enum RealNumberNotation

Search for all occurrences

Enumerator:

  SmartNotation | Search for all occurrences
  FixedNotation | Search for all occurrences
  ScientificNotation | Search for all occurrences

Definition at line 78 of file qtextstream.h.

                                {
            SmartNotation,
            FixedNotation,
            ScientificNotation
        };

enum FieldAlignment

Search for all occurrences

Enumerator:

  AlignLeft | Search for all occurrences
  AlignRight | Search for all occurrences
  AlignCenter | Search for all occurrences
  AlignAccountingStyle | Search for all occurrences

Definition at line 83 of file qtextstream.h.

                            {
            AlignLeft,
            AlignRight,
            AlignCenter,
            AlignAccountingStyle
        };

enum Status

Search for all occurrences

Enumerator:

  Ok | Search for all occurrences
  ReadPastEnd | Search for all occurrences
  ReadCorruptData | Search for all occurrences

Definition at line 89 of file qtextstream.h.

                    {
            Ok,
            ReadPastEnd,
            ReadCorruptData
        };

enum NumberFlag

Search for all occurrences

Enumerator:

  ShowBase | Search for all occurrences
  ForcePoint | Search for all occurrences
  ForceSign | Search for all occurrences
  UppercaseBase | Search for all occurrences
  UppercaseDigits | Search for all occurrences

Definition at line 94 of file qtextstream.h.

                        {
            ShowBase = 0x1,
            ForcePoint = 0x2,
            ForceSign = 0x4,
            UppercaseBase = 0x8,
            UppercaseDigits = 0x10
        };

## Constructor & Destructor Documentation

QTextStream | ( |  | ) |

QTextStream | ( | QIODevice * | device | ) | `[explicit]`

QTextStream | ( | FILE * | fileHandle,
|  | QIODevice::OpenMode | openMode = `QIODevice::ReadWrite`
| ) |  | `[explicit]`

QTextStream | ( | QString * | string,
|  | QIODevice::OpenMode | openMode = `QIODevice::ReadWrite`
| ) |  | `[explicit]`

QTextStream | ( | QByteArray * | array,
|  | QIODevice::OpenMode | openMode = `QIODevice::ReadWrite`
| ) |  | `[explicit]`

QTextStream | ( | const QByteArray & | array,
|  | QIODevice::OpenMode | openMode = `QIODevice::ReadOnly`
| ) |  | `[explicit]`

virtual ~QTextStream | ( |  | ) | `[virtual]`

## Member Function Documentation

void setCodec | ( | QTextCodec * | codec | ) |

Search for all occurrences

void setCodec | ( | const char * | codecName | ) |

Search for all occurrences

QTextCodec* codec | ( |  | ) | const

Search for all occurrences

void setAutoDetectUnicode | ( | bool | enabled | ) |

Search for all occurrences

bool autoDetectUnicode | ( |  | ) | const

Search for all occurrences

void setGenerateByteOrderMark | ( | bool | generate | ) |

Search for all occurrences

bool generateByteOrderMark | ( |  | ) | const

Search for all occurrences

void setLocale | ( | const QLocale & | locale | ) |

Search for all occurrences

QLocale locale | ( |  | ) | const

Search for all occurrences

void setDevice | ( | QIODevice * | device | ) |

Search for all occurrences

QIODevice* device | ( |  | ) | const

Search for all occurrences

void setString | ( | QString * | string,
|  | QIODevice::OpenMode | openMode = `QIODevice::ReadWrite`
| ) |  |

Search for all occurrences

QString* string | ( |  | ) | const

Search for all occurrences

Status status | ( |  | ) | const

Search for all occurrences

void setStatus | ( | Status | status | ) |

Search for all occurrences

void resetStatus | ( |  | ) |

Search for all occurrences

bool atEnd | ( |  | ) | const

Search for all occurrences

void reset | ( |  | ) |

Search for all occurrences

void flush | ( |  | ) |

Search for all occurrences

bool seek | ( | qint64 | pos | ) |

Search for all occurrences

qint64 pos | ( |  | ) | const

Search for all occurrences

void skipWhiteSpace | ( |  | ) |

Search for all occurrences

QString readLine | ( | qint64 | maxlen = `0` | ) |

Search for all occurrences

QString readAll | ( |  | ) |

Search for all occurrences

QString read | ( | qint64 | maxlen | ) |

Search for all occurrences

void setFieldAlignment | ( | FieldAlignment | alignment | ) |

Search for all occurrences

FieldAlignment fieldAlignment | ( |  | ) | const

Search for all occurrences

void setPadChar | ( | QChar | ch | ) |

Search for all occurrences

QChar padChar | ( |  | ) | const

Search for all occurrences

void setFieldWidth | ( | int | width | ) |

Search for all occurrences

int fieldWidth | ( |  | ) | const

Search for all occurrences

void setNumberFlags | ( | NumberFlags | flags | ) |

Search for all occurrences

NumberFlags numberFlags | ( |  | ) | const

Search for all occurrences

void setIntegerBase | ( | int | base | ) |

Search for all occurrences

int integerBase | ( |  | ) | const

Search for all occurrences

void setRealNumberNotation | ( | RealNumberNotation | notation | ) |

Search for all occurrences

RealNumberNotation realNumberNotation | ( |  | ) | const

Search for all occurrences

void setRealNumberPrecision | ( | int | precision | ) |

Search for all occurrences

int realNumberPrecision | ( |  | ) | const

Search for all occurrences

QTextStream& operator>> | ( | QChar & | ch | ) |

QTextStream& operator>> | ( | char & | ch | ) |

QTextStream& operator>> | ( | signed short & | i | ) |

QTextStream& operator>> | ( | unsigned short & | i | ) |

QTextStream& operator>> | ( | signed int & | i | ) |

QTextStream& operator>> | ( | unsigned int & | i | ) |

QTextStream& operator>> | ( | signed long & | i | ) |

QTextStream& operator>> | ( | unsigned long & | i | ) |

QTextStream& operator>> | ( | qlonglong & | i | ) |

QTextStream& operator>> | ( | qulonglong & | i | ) |

QTextStream& operator>> | ( | float & | f | ) |

QTextStream& operator>> | ( | double & | f | ) |

QTextStream& operator>> | ( | QString & | s | ) |

QTextStream& operator>> | ( | QByteArray & | array | ) |

QTextStream& operator>> | ( | char * | c | ) |

QTextStream& operator<< | ( | QBool | b | ) |

QTextStream& operator<< | ( | QChar | ch | ) |

QTextStream& operator<< | ( | char | ch | ) |

QTextStream& operator<< | ( | signed short | i | ) |

QTextStream& operator<< | ( | unsigned short | i | ) |

QTextStream& operator<< | ( | signed int | i | ) |

QTextStream& operator<< | ( | unsigned int | i | ) |

QTextStream& operator<< | ( | signed long | i | ) |

QTextStream& operator<< | ( | unsigned long | i | ) |

QTextStream& operator<< | ( | qlonglong | i | ) |

QTextStream& operator<< | ( | qulonglong | i | ) |

QTextStream& operator<< | ( | float | f | ) |

QTextStream& operator<< | ( | double | f | ) |

QTextStream& operator<< | ( | const QString & | s | ) |

QTextStream& operator<< | ( | const QByteArray & | array | ) |

QTextStream& operator<< | ( | const char * | c | ) |

QTextStream& operator<< | ( | const void * | ptr | ) |

The documentation for this class was generated from the following file:

- QtCore/qtextstream.h

QTextStream QTextStream QTextStream QTextStream QTextStream QTextStream QTextStream QTextStream QTextStream QTextStream
QTextStream QTextStream QTextStream QTextStream QTextStream QTextStream QTextStream QTextStream QTextStream QTextStream